package cn.reghao.tnb.content.app.vod.service;

import cn.reghao.jutil.jdk.web.result.Result;
import cn.reghao.tnb.content.api.dto.VideoFilePublish;
import cn.reghao.tnb.content.api.dto.VideoPublishSbt;
import cn.reghao.tnb.content.api.dto.VideoFileUpdate;
import cn.reghao.tnb.content.app.vod.model.dto.*;
import cn.reghao.tnb.content.app.vod.model.po.VideoPost;
import cn.reghao.tnb.content.app.vod.model.po.VideoStatistic;

/**
 * @author reghao
 * @date 2023-10-08 15:34:48
 */
public interface VideoPostService {
    String publishVideoFile(VideoFilePublish videoFilePublish) throws Exception;
    Result publishVideoPost(VideoPublishSbt videoPublishSbt);
    @Deprecated
    void saveCrawledVideo(VideoPost videoPost, VideoStatistic videoStatistic, String tags);
    void updateVideoScope(VideoScopeUpdate videoScopeUpdate);
    void updateVideoInfo(VideoInfoUpdate videoInfoUpdate);
    void updateVideoCover(VideoCoverUpdate videoCoverUpdate);
    void updateVideoFile(VideoFileUpdate videoFileUpdate);
    void deleteVideo(String videoId);
}
